org.wildfly.swarm.config.management

## Class AuthorizationAccess.AuthorizationAccessResources

- java.lang.Object
- - org.wildfly.swarm.config.management.AuthorizationAccess.AuthorizationAccessResources

- Enclosing class:
    AuthorizationAccess<T extends AuthorizationAccess<T>>

      public static class AuthorizationAccess.AuthorizationAccessResources
      extends Object

  Child mutators for AuthorizationAccess

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthorizationAccessResources()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApplicationClassificationConstraint` | `applicationClassificationConstraint()` Configuration of the application classification constraints.
    `RoleMapping` | `roleMapping(String key)`
    `List<RoleMapping>` | `roleMappings()` Get the list of RoleMapping resources
    `SensitivityClassificationConstraint` | `sensitivityClassificationConstraint()` The sensitivity classification constraints.
    `VaultExpressionConstraint` | `vaultExpressionConstraint()` Configuration of whether vault expressions should be considered sensitive.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthorizationAccessResources

          public AuthorizationAccessResources()

  - ### Method Detail

    - #### roleMappings

          public List<RoleMapping> roleMappings()

      Get the list of RoleMapping resources
      Returns:
        the list of resources

    - #### roleMapping

          public RoleMapping roleMapping(String key)

    - #### vaultExpressionConstraint

          public VaultExpressionConstraint vaultExpressionConstraint()

      Configuration of whether vault expressions should be considered sensitive.

    - #### applicationClassificationConstraint

          public ApplicationClassificationConstraint applicationClassificationConstraint()

      Configuration of the application classification constraints.

    - #### sensitivityClassificationConstraint

          public SensitivityClassificationConstraint sensitivityClassificationConstraint()

      The sensitivity classification constraints.

Copyright © 2018 JBoss by Red Hat. All rights reserved.